<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="top-referer-page-connections" charttype="bars">

 <lire:title>Most Travelled Referer -&gt; Page Connections WWW Report</lire:title>
 <lire:description>
  <para>This report lists the connections between a referers and a
   pages with the most requests.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="connection_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of connections to
     display in the report.
    </para>
   </lire:description>
  </lire:param>

  <lire:param name="referer_exclusion" type="string" default="^-$">
   <lire:description>
    <para>This parameter can be used to exclude referers from the
     report. For example, it can be used to exclude internal links by
     setting it to "^http://www.yourdomain.com/$". It defaults to
     "^-$" which excludes all records for which the referer wasn't
     specified.
    </para>
   </lire:description>
  </lire:param>

  <lire:param name="target_exclusion" type="string" default="\.(png|gif|jpg)$">
   <lire:description>
    <para>This parameter contains a regular expression which is used
     to filter out images as targets.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Most Travelled Referer -&gt; Pages Connection, Top $connection_to_show</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:not>
   <lire:or>
    <lire:match case-sensitive="no" value="$referer" re="$referer_exclusion"/>
    <lire:match case-sensitive="no" value="$requested_page" re="$target_exclusion"/>
   </lire:or>
  </lire:not>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$connection_to_show">
   <lire:field name="referer"/>
   <lire:field name="requested_page"/>

   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
